
// Arduino Morse Library
// Written by Erik Linder SM0RVV and Mark VandeWettering K6HX
//
// Released 2011 under GPLv3
//
// Version 0.2
//

#ifndef Morse_h
#define Morse_h

#include "Arduino.h"

class Morse
{
	public:
		Morse(byte pinR, byte pinG, byte pinB, byte pinW , byte speed, byte beep); //BB added pins for RGB and W LEDs 12Jan17
		void sendmsg(const char *str); //BB added 'const' 26Jun16 to comply with new rule for char *
		void send( char c); 
                void sendbrightness(byte pin, byte brightness);
	private:
		void dash();
		void dit();
		void bdash();
		void bdit();

};
#endif
